For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add comments to an order

Use this method to attach a comment when placing a partner order.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

comment

Required (string) A comment visible to both you and the partner.

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
require ('PATH_TO_ADD_PRODUCT'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/08Place_an_order/00Add_product_to_cart

$comment = 'YOUR_COMMENT';

$jsonRpcRequest = array (
  'jsonrpc' => '2.0',
  'id' => $i++,
  'method' => 'setComment',
  'params' => array($sessionID, $comment)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));

require ('PATH_TO_PLACE_ORDER');

Response parameters

Parameter
Type / Description

Response

Boolean True or false

Errors

Error
Description

INVALID_COMMENT

The provided comment is empty.

Last updated

Was this helpful?